| Home | Libraries | People | FAQ | More

## Struct template make_bstree

boost::intrusive::make_bstree

## Synopsis

    // In header: <boost/intrusive/bstree.hpp>

    template<typename T, class... Options>
    struct make_bstree {
      // types
      typedef implementation_defined type;
    };

## Description

Helper metafunction to define a `bstree` that yields to the same type when the same options (either explicitly or implicitly) are used.